import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class ImageFileView extends FileView {
    ImageIcon jpgIcon = new ImageIcon( ClassLoader.getSystemResource("icons/jpgIcon.gif") );
    ImageIcon gifIcon = new ImageIcon( ClassLoader.getSystemResource("icons/gifIcon.gif") );
    ImageIcon tiffIcon = new ImageIcon( ClassLoader.getSystemResource("icons/tiffIcon.gif") );
    ImageIcon pngIcon = new ImageIcon( ClassLoader.getSystemResource("icons/pngIcon.jpg") );
    ImageIcon bmpIcon = new ImageIcon( ClassLoader.getSystemResource("icons/bmpIcon.jpg") );

    public String getName(File f) {
        return null; // let the L&F FileView figure this out
    }

    public String getDescription(File f) {
        return null; // let the L&F FileView figure this out
    }

    public Boolean isTraversable(File f) {
        return null; // let the L&F FileView figure this out
    }

    public String getTypeDescription(File f) {
        String extension = Utils.getExtension(f);
        String type = null;

        if (extension != null) {
            if (extension.equals(Utils.jpeg) ||
                extension.equals(Utils.jpg)) {
                type = "JPEG Image";
            }
            else if (extension.equals(Utils.gif)){
                type = "GIF Image";
            }
            else if (extension.equals(Utils.tiff) ||
                       extension.equals(Utils.tif)) {
                type = "TIFF Image";
            }
            else if (extension.equals(Utils.png))
                type = "PNG Image";
            else if (extension.equals(Utils.bmp))
                type = "BMP Image";
        }
        return type;
    }

    public Icon getIcon(File f) {
        String extension = Utils.getExtension(f);
        Icon icon = null;

        if (extension != null) {
            if (extension.equals(Utils.jpeg) ||
                extension.equals(Utils.jpg)) {
                icon = jpgIcon;
            }
            else if (extension.equals(Utils.gif)) {
                icon = gifIcon;
            }
            else if (extension.equals(Utils.tiff) ||
                       extension.equals(Utils.tif)) {
                icon = tiffIcon;
            }
            else if (extension.equals(Utils.png)) {
                icon = pngIcon;
            }
            else if (extension.equals(Utils.bmp)) {
                icon = bmpIcon;
            }
        }
        return icon;
    }
}
