import java.io.*;
import java.awt.*;
import javax.swing.*;
import java.net.URL;


class JIVAboutDialog extends JDialog {

	public JIVAboutDialog(ImageViewer owner) {

		super(owner, "About");

		buildGUI();

		// center the dialog over the main window
                int width = 600;
                int height = 570;
                setSize(width, height);
                Point p = owner.getLocationOnScreen();
		Dimension d = owner.getSize();
		Rectangle rect = new Rectangle(p, d);
                setLocation( (rect.x + ((rect.width - width)/2)),
		               (rect.y + ((rect.height - height)/2)) );

	}

	private void buildGUI() {

		String contents = "       JImageView\n";
        	contents += "       Written by Joseph McMurry (jcmcmurr@eos.ncsu.edu)\n";
        	contents += "       Distributed under the terms of the GPL (version 2)\n\n";

        	contents = readGPL(contents);

        	JTextArea textArea = new JTextArea(30, 40);
        	textArea.setEditable(false);
        	JScrollPane scrollPane = new JScrollPane(textArea);
                textArea.setText(contents);
                textArea.setCaretPosition(0);

                setDefaultCloseOperation(DISPOSE_ON_CLOSE);
                setContentPane(scrollPane);
                pack();

	}

	private String readGPL(String contents) {

		try {
        	     StringBuffer all;
        	     URL url = ClassLoader.getSystemResource("GPL.txt");
        	     BufferedReader br = new BufferedReader( new InputStreamReader( url.openStream() ) );

                     String part;
	             all = new StringBuffer("");

	             while ( ( part = br.readLine() ) != null) {
	                   all.append(part);
	                   all.append('\n');
                     }

	             br.close();

	             contents += all.toString();
                }
                catch (Exception e) { }

                return contents;

	}

}
