import java.io.*;
import java.util.*;

class OpenFrameList extends Vector {

	private int ct;
	private int selectedFrameIndex;
	private Properties properties;
	private String frames;

	public OpenFrameList(Properties prop) {

		super();
		properties = prop;
		selectedFrameIndex = -1;
		ct = 0;

	}

	public void addElement(Object obj) {

		super.addElement(obj);
                ct++;
                if (ct > 0)
		   frames += ",";
		frames += ( (ImageInternalFrame)obj ).getFilename();

		saveOpenFrameList();

	}

	private void saveOpenFrameList() {

		properties.setProperty(PropertiesConstants.openFrameListS, frames);

		try {
                     FileOutputStream out = new FileOutputStream(ImageViewer.configFileWPath);
                     BufferedOutputStream bos = new BufferedOutputStream(out);
                     properties.store(bos, null);
                     bos.close();
                     out.close();
                }
                catch (IOException ioe) {
                     System.err.println("Open frame list could not be saved");
                }

	}

	public void remove(String filename) {

		int index = frames.indexOf(filename);
		if (index > -1) {
		   StringBuffer buff = new StringBuffer(frames);
		   buff.delete( index, index+filename.length()+1 );
		   frames = buff.toString();
		   saveOpenFrameList();
		}

	}

	public ImageInternalFrame getSelectedFrame() {

		if (selectedFrameIndex > -1) {
		   ImageInternalFrame iif;
		   iif = (ImageInternalFrame)elementAt(selectedFrameIndex);
		   return iif;
		}
		return null;

	}

        public void setSelectedFrame(int index) {

		selectedFrameIndex = index;

        }

}
