import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class SlideShowPopupMenu extends JPopupMenu
                    implements MouseListener {

	private ImageViewer iv;
	private FilePanel fp;

	public SlideShowPopupMenu(ImageViewer iv, FilePanel fp) {

		super();
		this.iv = iv;
		this.fp = fp;
        	createMenu();

	}

	private void createMenuItem(String text, ActionListener listener) {

        	JMenuItem menuItem = new JMenuItem(text);
                menuItem.addActionListener(listener);
                add(menuItem);

        }

        private void createMenu() {

        	createMenuItem("Open", new ReflectiveAction(fp, "openAction") );
                addSeparator();
		createMenuItem("Slide Show", new ReflectiveAction(iv, "slideShowAction") );

        }

        // empty mouse methods must be here so that this
        //  class meets the mouse listener interface

        public void mouseClicked(MouseEvent me) {}

        public void mouseEntered(MouseEvent me) {}

        public void mouseExited(MouseEvent me) {}

        public void mousePressed(MouseEvent me) {

		if (me.isPopupTrigger())
                   show(me.getComponent(), me.getX(), me.getY());

	}

        /**
         * Invoked when a mouse button is released - used
         * to listen for mouse clicks on the images,
         * so that the resize window can be opened.
         */
        public void mouseReleased(MouseEvent me) {

		if (me.isPopupTrigger())
                   show(me.getComponent(), me.getX(), me.getY());

        }

}
